View Issue Details

IDProjectCategoryView StatusLast Update
0035918FPCCompilerpublic2019-08-05 13:14
ReporterImants GulbisAssigned ToSven Barth 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.1Product Build 
Target VersionFixed in Version3.3.1 
Summary0035918: Problem with prefixedattributes
DescriptionIf two different classes in different units use same custom attribute I get:

project1.lpr(8,1) Error: Multiple defined symbol "rttiattrconstr$0"
project1.lpr(8,1) Error: Multiple defined symbol "$unwind$rttiattrconstr$0"
TagsNo tags attached.
Fixed in Revision42560
FPCOldBugId
FPCTarget-
Attached Files

Activities

Imants Gulbis

2019-08-01 12:27

reporter  

attributes.zip (2,830 bytes)

Thaddy de Koning

2019-08-01 20:05

reporter   ~0117536

Last edited: 2019-08-02 10:18

View 3 revisions

Yes. [edit] I see: unit boundaries. When compiled in the same unit it works.
program project2;
{$mode delphi}
uses unit3;
type

  { TTest1 }
  [Attruvute]
  TTest1 = class
  private
    FField1: String;
  published
    [Attruvute]
    property Field1: String read FField1;
  end;

  { TTest2 }
  [Attruvute]
  TTest2 = class
  private
    FField2: String;
  published
    [Attruvute]
    property Field2: String read FField2;
  end;

begin
  TTest1.Create.Free;
  TTest2.Create.Free;
end.

Sven Barth

2019-08-02 16:07

manager   ~0117547

Please test and close if okay.

Imants Gulbis

2019-08-05 13:14

reporter   ~0117570

Tested now it works

Issue History

Date Modified Username Field Change
2019-08-01 12:27 Imants Gulbis New Issue
2019-08-01 12:27 Imants Gulbis File Added: attributes.zip
2019-08-01 20:05 Thaddy de Koning Note Added: 0117536
2019-08-01 20:06 Thaddy de Koning Note Edited: 0117536 View Revisions
2019-08-02 10:18 Thaddy de Koning Note Edited: 0117536 View Revisions
2019-08-02 15:32 Sven Barth Assigned To => Sven Barth
2019-08-02 15:32 Sven Barth Status new => assigned
2019-08-02 16:07 Sven Barth Status assigned => resolved
2019-08-02 16:07 Sven Barth Resolution open => fixed
2019-08-02 16:07 Sven Barth Fixed in Version => 3.3.1
2019-08-02 16:07 Sven Barth Fixed in Revision => 42560
2019-08-02 16:07 Sven Barth FPCTarget => -
2019-08-02 16:07 Sven Barth Note Added: 0117547
2019-08-05 13:14 Imants Gulbis Status resolved => closed
2019-08-05 13:14 Imants Gulbis Note Added: 0117570